# Murderer I'd Like to Find

# BACKGROUND ART

image bg hall:
    "./images/bg hall.png"

image bg living room:
    "./images/bg parlor.png"

image bg bedroom:
    "./images/bg violet_room.png"

image bg garden:
    "./images/bg garden.png"

image bg black:
    "./images/bg black.jpg"

image bg living room flashback:
    "./images/bg parlor_past.png"

image bg bedroom flashback:
    "./images/bg violet_room_past.png"

image bg hall flashback:
    "./images/bg hallway_past.png"

image bg apartment:
    "./images/bg apartment.png"

# CHARACTER ICONS

image side mommy icon:
    "./images/side mommy fb.png"

image side vincent icon:
    "./images/side vincent fb.png"

image side victor icon:
    "./images/side victor fb.png"

image side violet icon:
    "./images/side violet fb.png"

image side father icon:
    "./images/side dad fb.png"

# CHARACTER VARIABLES
define victor = Character("Victor", image="victor")
define violet = Character("Violet", image="violet")
define vincent = Character("Vincent", image="vincent")
define mommy = Character("Mother", image="mommy")
define father = Character("Father", image="father")
define unknown = Character("???")
define r = Character("Receptionist")

# variable to keep track of how many times player chooses good options
default niceCount = 0

# variables to keep track of what you've learned
default learnedVictor = False
default learnedViolet = False
default learnedVincent = False

# The game starts here.

label start:

    $ player_name = renpy.input("What is your name?")

    $ player_name = player_name.strip()
    # The .strip() instruction removes any extra spaces the player
    # may have typed by accident.

    #  If the player can't be bothered to choose a name, then we
    #  choose a suitable one for them:
    if player_name == "":
        $ player_name="V"

label chapter1:

    # change scene to apartment
    scene bg apartment with dissolve
    play music "audio/douloureux.ogg"

    "My dad has been sick for a long time. I knew he wouldn't be around much longer."

    "But I didn't expect it to happen like this."

    play sound "audio/phone.ogg" volume 0.2
    "The phone rings."

label choice1:
    "It's my mother...should I pick it up?"

menu:
    "Yes":
        jump choice1_a
    "No":
        jump choice1_b

label choice1_b:
    "I decided not to pick up the call.
     I went on to live my life in ignorance of the horrors that had occurred.
     I never knew about our family's darkest secret..."

    "The End?"

    return

label choice1_a:
    "I pick up the phone."

    player_name "Mother?"

    "I can hear a muffled sob."

    mommy "It's your father. He's...gone."

    "I sigh."

    player_name "His illness?"

    mommy "No...he's been..."

    "She can't bring herself to say what's happened."

    player_name "Wait, what? What happened?"

    mommy "He's been...killed."

    "What??? Killed??? I'm left speechless for a moment."

    player_name "But why? Who did this?"

    mommy "I don't know yet. But I think it's one of..."

    "She struggles to speak."

    mommy "...One of your siblings."

    mommy "%(player_name)s, please. I need you to come home.
    Please, we can talk more when you're here."

    "My siblings? Why would they kill my father? What reason would they have to do that?"

    "I hear my mother start to sob again."

    player_name "Okay, Mother, I'll come as soon as I can."

    "My poor mother. She's been slowly losing her memory as she gets older.
     My father was the only thing that made her happy.
     I can't imagine how she's feeling now."

    "But...what's going on? One of my siblings murdered my father?
     I can't help but feel a sense of dread."

    "Lost in thought, I mindlessly throw some clothes in a suitcase and look for a flight home."

    stop music fadeout 1.0

label chapter2:

    # scene change to mom's room
    scene bg garden with fade
    play music "audio/clair-de-lune.ogg" fadein 1.0

    "The receptionist greeted me when I walked into the nursing home where my mother now lives."

    r "Oh, she's your mother, is she? I heard about what happened to your father, I'm so sorry."

    player_name "It's okay. Did she get a chance to see him recently at least?"

    r "Yes, she told me all about her dinner with her family two nights ago. She got back at around 11:30 that night and went right to sleep. She must have had quite a night with the family."

    "I smile weakly."

    player_name "That's good to hear at least."

    "I thank the receptionist. She told me my mother was in the garden, so I walked there."

    show mommy base

    mommy "Oh, darling, it's so good to see you. It's been so long!"

    "She's right. I haven't visited her in years."

    player_name "So, about Father..."

    "She smiles."

    mommy "Oh, he'll be so happy to see you! You should go visit him right away!"

    "That's right. I should've expected something like this."

    "My mother's been losing her memory quicker and quicker over the years,
     to the point where sometimes she will forget important things from only a few days ago.
     This is the worst case of it I've seen."

label choice2:
    "Should I remind her what happened?"

menu:
    "Yes":
        jump choice2_a
    "No":
        jump choice2_b

label choice2_a:

    "It takes me some time to find the willpower, but I remind her of the tragedy
     that ocurred last night. After some time, I decide to ask her some more questions."

    jump choice2_common

label choice2_b:
    "I fake a weak smile. He was killed only yesterday, but I can't stand to hear my mother cry again."

    player_name "Of course, Mother, you're right. I'll visit him later today."

    jump choice2_common

label choice2_common:

    player_name "I know this might be difficult to remember, but when's the last time you saw Father?"

    "She hesitates, unsure of herself."

    mommy "I just saw him--I...was with him two nights ago, I think. We had dinner with your siblings."

    "My siblings. Victor, Vincent, and Violet. I haven't seen them in years.
     For whatever reason, they all wanted to stay in our parent's mansion instead
     of making a life for themselves elsewhere. Ugh."

    player_name "Are they all at the house?"

    mommy "Yes, dear, are you going to go see them?"

    player_name "Yes, sorry to leave you, Mother, but I have to go talk to them."

    mommy "Of course, don't worry about me."

    "She sits back down on her bed and I say goodbye.
     I didn't want to burden her with questions about the murder,
     but I had to talk to my siblings at least."

label chapter3:

    # scene change to mansion
    scene bg living room with fade
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show vincent base at left

    show violet base

    show victor base at right

    "I arrive at the house.
     Victor, Vincent, and Violet are all in the living room, arguing.
     They stop when they notice me."

    hide vincent base
    hide violet base
    hide victor base

    show victor base

    victor "..."

    hide victor base
    show vincent base

    vincent "..."

    hide vincent base
    show violet base

    violet "..."

    hide violet base
    show victor angry

    victor "Get out."

    "I stare back at him."

    victor "I said GET OUT!"

    player_name "No."

    victor "Do you really think you can come back here after this long? As if it's nothing?"

    "I grit my teeth. He's right, I haven't spoken to any of them in years.
     But it's not like I could just ignore this."

    player_name "WELL AT LEAST I DIDN'T KILL MY OWN FATHER."

    "Victor stares angrily at me but doesn't respond. Vincent and Violet look at the floor."

    hide victor

    unknown "I don't think he did it."

    "I hear a soft voice. It's Vincent's."

    show vincent base

    vincent "I don't think Victor killed Father."

    hide vincent base

    "Violet finally speaks."

    show violet angry

    violet "Then who did, Vincent? I sure as hell didn't. Was it you?"

    hide violet angry
    show vincent base

    vincent "I don't want to believe either of you could have done this."

    hide vincent base
    show violet angry

    violet "Well someone did!"

    hide violet angry

    "The other two fall silent again. Victor sighs."

    show victor angry

    "Fine, %(player_name)s. Let me guess.
    You're here to do some detective work and figure it all out for us.
    Aren't you some genius?"

    player_name "I couldn't just ignore the murder of my own father.
    I have to know who would do this. And from the look of it, it must have been one of you."

    hide victor angry
    show vincent base

    vincent "I want to help you. I'll tell you about what happened yesterday."

    player_name "Thank you, Vincent. Why don't we go into the hallway for a moment."

    hide vincent base
    show victor angry at right
    show violet angry at left

    "Victor and Violet give us a fierce look as we walk out into the hallway."

    # CHANGE SCENE TO HALLWAY
    scene bg hall with dissolve

    show vincent base

    vincent "I want to find out who did this as well. I'll tell you everything about what happened yesterday."

    vincent "Two nights ago, our mother came and had dinner with us as a family."

    vincent "Nothing seemed unusual at that dinner. I couldn't sense any bad feelings between anyone and our father. Though Mother wasn't talking much at all. My sister was a bit quiet, too. I'd say my brother got along better with him than usual, though."

    vincent "After dinner, Mother went back to her nursing home. Nothing else really happened that night."

    vincent "The next day, Violet found Father..."

    "Vincent takes a breath."

    vincent "She found Father dead in his own bed. She screamed and Victor and I came running."

    vincent "I...I saw him. At first I thought he had died from his sickness, but then I saw the blood. It looked like he had been..."

    vincent "...he had been stabbed."

    vincent "There was no sign of him getting out of bed or anything, and there was no blood anywhere besides his bed."

    vincent "I hope I never have to see something like that again..."

    "I can see tears forming in his eyes."

    vincent "We searched the house top to bottom for the knife. We noticed that one was missing from the kitchen, but we couldn't find it anywhere."

    player_name "I'm sorry to make you recall this, Vincent. And...can I ask what you were doing that night?"

    show vincent angry

    "Vincent looks up at me, his sad face turning into an angry one."

    vincent "Do you really think I could've done it? You're heartless, you know."

    # stop music
    stop music
    # fade to black
    scene bg black with fade

    "Time stops."

    "Everything goes black."

    "I open my eyes."

    # change scene to hallway flashback
    scene bg hall flashback with dissolve
    play music "audio/lent 1.ogg"

    "Vincent is standing in front of me, but he looks different. Younger."

    vincent icon "You're gonna tell Mommy and Daddy I did this? You're heartless, you know."

    "I'm...heartless? Why does that sound so familiar?"

    # change scene to living room flashback
    scene bg living room flashback with dissolve

    "Without knowing why, I walk into the other room where Mother and Father are. They are having some sort of conversation."

    mommy icon "You've been coming home so late, honey."

    father icon "Sorry, sweetie, I've just got so much work to do with the new clients, I keep having to stay late."

    "Without even realizing what I'm saying, the words come out of my mouth."

    player_name "Sorry to interrupt, but something happened."

    mommy"Oh, what is it, %(player_name)s?"

    "I get it. I remember this. A small incident from around 10 years ago.
    Vincent broke a painting while we were playing.
    But why am I experiencing it like this? What's the point?"

    player_name "The painting in the other room, it's fallen over. And the canvas was torn."

    "Mother looks angry. She knows what painting I'm talking about. It's one of her favorites."

    mommy "Who...who knocked it over?"

label choice3:
    "What did I say...?"

menu:
    "Take the blame":
        $ niceCount = niceCount + 1
        $ learnedVincent = True
        jump choice3_a

    "Blame Vincent":
        jump choice3_b

label choice3_a:

    "That's right. I took the blame for it. I wanted to protect my brother."

    player_name "..."

    player_name "It was me. I knocked it over. I'm sorry, Mother."

    # fade to black

    # stop music
    stop music

    scene bg black with fade

    "Suddenly, everything goes dark again."

    # change scene to hallway

    scene bg hall with dissolve
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show vincent angry

    "I open my eyes and see Vincent standing in front of me.
    This time, he's older again. I breath a sigh of relief."

    vincent "Do you really think I could've done it? You're heartless, you know."

    "He stares angrily for a moment and then takes a deep breath."

    show vincent base

    vincent "...I'm sorry. I understand you just want to know the truth. I shouldn't have gotten so upset."

    player_name "Thank you, Vincent. Of course I trust you. I just need to know everything I can."

    vincent "After that dinner two nights ago, I saw Father to bed and gave him his medicine.
    That was around 9pm. After that, I went into the garden area and read a book for about an hour.
    I started to tire after that, so I went to my room to sleep."

    player_name "Did you see anyone else in that time?"

    vincent "That's right, I saw Violet while I was reading.
    She was heading back to her room. It's next to mine.
    I didn't hear her leave her room at all when I got back to it,
    but I fell asleep at 11pm, so I can't say what I heard after that."

    vincent "Sorry I couldn't be of more use."

    player_name "It's okay, Vincent. You've been more helpful than you think."

    jump chapter4

label choice3_b:

    "That's right. I blamed Vincent. He's the one who did it, after all."

    player_name "..."

    player_name "It was Vincent. He knocked it over while we were playing."

    "Mother goes to yell at Vincent. I hear him crying as she shouts."

    # stop music
    stop music

    # fade to black
    scene bg black with fade

    "Suddenly, everything goes dark again."

    # change scene to hall

    scene bg hall with dissolve
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show vincent angry

    "I open my eyes and see Vincent standing in front of me. This time, he's older again. I breath a sigh of relief."

    vincent "Do you really think I could've done it? You're heartless, you know."

    "He stares angrily for a moment and then his look turns to fury."

    vincent "You know what, %(player_name)s?"

    vincent "All I've done is help you and you can't even think to trust me.
    You've never done anything for me. Well, why would I trust you to figure out who killed Father?"

    vincent "You hardly even know any of us anymore. You always act like you're so much better than us,
    leaving us here to go live on your own."

    vincent "You don't care about your family anymore and I bet you don't even care that Father's dead."

    hide vincent angry

    "Before I even get the chance to respond, he's stormed off."

    "I don't think I'll be able to get more information out of him, so I go back to Victor and Violet to talk to them."


label chapter4:

    # change scene to living room
    scene bg living room with fade

    "I walk back into the room where Victor and Violet are sitting.
     Before they notice me, I overhear them talking."

    show victor base at left
    show violet base at right

    victor "...and my debt has finally been paid off thanks to it. It's not all bad, you know?"

    violet "What is wrong with you, Victor? Is all you can think about money?"

    vincent "Hey, I'm just trying to look on the bright side. Better than moping around crying all day like Vincent."

    hide violet base
    hide victor base

    "Without thinking, I interject."

    player_name "Vincent's just a kid! He just lost his father, and you have the audacity to make fun of him for crying?"

    show victor base

    victor "Listen, %(player_name)s, people die. That's life. You have to move on eventually."

    player_name "You're awfully casual about the death of your own father, Victor."

    "Victor sneers."

    victor "What is that, an accusation?"

    player_name "Forget it."

    hide victor base
    show violet base

    player_name "Violet, you've been quiet. I want to hear your story about what happened."

    "Violet shrugs."

    violet "Sure, I guess. Just don't expect me to confess to a murder I didn't do."

    player_name "I just want to know what happened two nights ago."

    violet "Fine, let's go to my room. Victor isn't stupid enough to bother me in there."

    # change scene to violet's room
    scene bg bedroom with dissolve

    "We go to Violet's room. She speaks bluntly."

    show violet base

    violet "What do you want to know?"

    player_name "Violet, it's me. You don't have to act so cold."

    show violet angry

    violet "You're questioning me for murder."

    "She has a point."

    player_name "I just want to know what happened. I don't think you did it."

    violet "I bet you said that to Vincent too. And you're gonna say it to Victor later."

    player_name "The truth is, I want to trust all of you. But something horrible has happened, and there isn't an easy way to do this."

    violet "Yeah, yeah. I'm sure you trust us all so much. So much that you'd move out and not talk to us for years."

    violet "Wow, what trust. Why would I help you when you can't be honest with me?"

    violet "Forget it. Get out of my room. I hate you!"

    # stop music
    stop music

    # fade to black

    scene bg black with fade

    "Everything goes black."

    "It's happening again? What's going on?"

    scene bg bedroom flashback with dissolve
    play music "audio/lent 2.ogg"

    "Violet appears in front of me again, but younger."

    violet icon "Get out of my room. I hate you!"

    "I knew that seemed familiar. She's said that before, hasn't she? I rack my brain trying to remember what I did."

    player_name "Wait-"

    scene bg hall flashback

    "Violet shoves me out of her room and slams the door.
    It comes back to me. A fight I had with Violet when I was young.
    My first instinct was go to my parents to cry about it. I run to my parents' room and find only Father there.
    He's on phone with someone and hasn't noticed me."

    father icon "Yes, of course! I can't wait to see you again soon. Last night was wonderful."

    "He's calling on a cell phone, but it's not the one he usually uses. When he notices me at the door, he jumps and quickly hangs up and puts the phone in his desk."

    father "Oh, it's just you, %(player_name)s. What is it?"

    "I explain the argument I was having with Violet. It was childish, I had insulted her dress for no discernable reason. Was I always such a mean sibling?"

    father "It sounds like you owe Violet an apology."

    player_name "But she hates me! I know she will never forgive me."

    father "People make mistakes, %(player_name)s. She might still be mad at you today even if you apologize, but she will forgive you. You two are family, and even if she's mad at you now, she will always love you."

    "Always?"

label choice4:
    "I go back to Violet's room. I stand outside the door. Should I apologize now? Or maybe I should wait until tomorrow when things have cooled down...what did I do again?"

menu:
    "Apologize now":
        $ niceCount = niceCount + 1
        $ learnedViolet = True
        jump choice4_a

    "Apologize tomorrow":
        jump choice4_b

label choice4_a:

    "I figure I should probably just get it over with. I go in and apologize to my sister."

    # stop music
    stop music

    # fade to black
    scene bg black with fade

    "Everything goes black again. When I open my eyes, I'm back in the present, and Violet is still standing in front of me."

    scene bg bedroom with dissolve
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show violet angry

    violet "Why would I help you when you can't be honest with me? Forget it. Get out of my room. I hate you!"

    "She pushes me out of her room and slams the door."

    scene bg hall

    "I stand bewildered for a moment."

    "Suddenly, she opens the door behind me."

    show violet base

    violet "I...I'm sorry. I shouldn't have done that. It was childish of me. I've been so emotional the last few days..."

    player_name "Please, I understand. You don't have to apologize, just make it up to me. Can you tell me about two nights ago?"

    "Violet sniffles."

    violet "You're right, I just have to do what I can to help. I'll tell you what I saw."

    violet "So, I'm sure Vincent told you about dinner with Mother and Father. And their argument."

    player_name "...Argument?"

    violet "Right, that was a bit before dinner. I guess Vincent wasn't there yet."

    violet "Well, Mother and Father were talking about something before dinner. Victor and I tried to eavesdrop but couldn't hear what they were saying."

    violet "Anyways, Mother sounded upset about something."

    violet "Dinner went normal after that, I'm sure Vincent told you nothing of interest really happened."

    violet "After dinner we sent Mother to the nursing home.
    Vincent took Father to his room. I talked with Victor for a bit after dinner, but nothing important.
    I think Victor went outside after that. I just went back to my room at around 9:30pm and didn't leave after that."

    violet "The next morning..."

    "She stops."

    player_name "Oh, Violet, Vincent told me what happened when you found him. You don't need to relive that."

    "Violet looks at the floor. She's quiet for a moment."

    violet "Okay. I'm sorry, that's all I know. I wish I could've been of more use."

    player_name "Don't worry about it, Violet, that helped a lot. I just want to get an idea of what everyone was doing."

    jump chapter5

label choice4_b:

    "I figure I should probably wait until she's calmed down more.
     I wouldn't want her to scream at me again.
     I wait until the next day...or was it the one after that? ...
     I can't remember when I apologized...or if I ever did ..."

    "..."

    stop music

    #fade to black
    scene bg black with fade

    "Everything goes black again. When I open my eyes, I'm back in the present, and Violet is still standing in front of me."

    scene bg bedroom with dissolve
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show violet angry

    violet "Why would I help you when you can't be honest with me? Forget it. Get out of my room. I hate you!"

    "She pushes me out of her room and slams the door."

    scene bg hall

    "I stand bewildered for a moment, then turn and knock."

    player_name "Violet? Please, I just want to know what happened. I want to know the truth just as bad as you do."

    violet "Forget it. I'll figure it out on my own. I don't need your help anyway. I've learned to do things by myself after you left us."

    "I try and convince her to help me some more, but she stops responding. Eventually I give up trying to get help from her. I still need to talk to Victor, after all."

    jump chapter5


label chapter5:

    # change scene to living room
    scene bg living room with fade

    "I walk back towards the living room, where Victor is waiting.
     I need to ask him about his perspective. But after that...then what?"

    "I have to decide who it could have been."

    "Could it have been Vincent? He seems too young to be a killer.
     Or Violet? But...what would she have to gain?"

    "I decide to hold off until after I've talked to Victor."

    show victor base

    victor "So you're back. Figured it all out yet?"

    player_name "I still need to hear your side of the story."

    "Victor looks around to see if anyone is nearby, then looks back at me and speaks quietly."

    victor "Listen, %(player_name)s. I think it was Violet. She killed our father."

    player_name "Violet? Why?"

    victor "The truth is, Father has always preferred Vincent and I over her.
    And two nights ago at dinner, it was more obvious than ever."

    victor "He would ask her to fetch him something from the kitchen while laughing with us."

    victor "I could feel her jealousy."

    player_name "I have felt that Father never loved her as much."

    victor "After dinner, she talked to me about how she felt. I told her I disagreed, but she's right. %(player_name)s, she killed Father out of jealousy!"

    victor "And I have more reason to suspect her as well."

    player_name "Wait, before I jump to any conclusions. What did you do that night?"

    "Victor glares at me."

    show victor angry

    victor "What, you suspect me as well?"

    player_name "I have to know what everyone was doing that night."

    victor "So after all this, you're abandoning me?"

    player_name "Abandoning you? I just-"

    # fade to black
    stop music
    scene bg black with fade

    "Before I can finish, it happens again."

    # change scene to flashback living room
    scene bg living room flashback with dissolve
    play music "audio/lent 3.ogg"

    "Everything goes black, and when I open my eyes I see a younger Victor in front of me.
     But this memory isn't from as far back as the others.
     It's only a few years ago. No, this is..."

    "This is the last time I spoke to Victor before I left."

    victor icon "So after all this, you're abandoning me?"

    "Victor has tears in his eyes."

    "I was abandoning him, truthfully. I was abandoning my family.
     I needed to...be my own person. To live a life of my own.
     I loved them, but I couldn't stay here forever. I couldn't live this life."

    player_name "Victor..."

    "He's been so rude to me in the present, but can I blame him?
     I didn't talk to my own brother for years.
     What kind of a sibling am I?"

    player_name "Victor, I..."

    "He's the last person I spoke to before I left.
     I had said my goodbyes to Vincent, Violet, and Mother.
     And Father...I wished I could, but he was hardly around anymore.
     He always said he was so busy with his company."

    "I told Mother to let him know I left, but I never got the chance to say goodbye to him."

    "I never got the chance, and now he's dead."

    "Victor looks betrayed."

label choice5:

    "What did I say to him?"

menu:
    "I'll miss you.":
        $ niceCount  = niceCount + 1
        $ learnedVictor = True
        jump choice5_a

    "I'll see you again.":
        jump choice5_b

label choice5_a:

    player_name "I'll miss you, Victor."

    "Victor cries."

    victor "I'll miss you too."

    "We embrace. I don't know what else to say. I leave."

    "I wasn't lying about missing him. I always looked up to him when I was younger. It was hard for a while, not having him around. "

    "But eventually I learned to live on my own. And I forgot about the connection we had back then."

    "How could I forget about the person I looked up to most?"

    # scene change to living room
    stop music
    scene bg living room with Fade(0.5, 1.0, 0.5)
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show victor angry

    "Suddenly, I'm back in the present. Victor is in front of me, his face angrier than usual."

    victor "So after all this, you're abandoning me?"

    player_name "Abandoning you? I just-"

    "Victor cuts me off."

    show victor base

    victor "No, I'm sorry. I know you just want to know what happened."

    "We're both quiet for a moment, then he speaks again."

    victor "I really missed you, %(player_name)s."

    player_name "I missed you, too. I'm...really glad to see you again."

    "I can see a tear in his eye, but he plays it off. He sniffles and wipes his nose."

    victor "So, right, you wanted to know what I was doing. Right. Of course."

    victor "Well, as I said, I have more reason to suspect Violet. We stopped talking after dinner at around 9:30pm. After that, I went out into the yard for a bit to gaze at the stars, as I often do."

    victor "By the time I went back inside, it was about 10:30pm. I was walking down the hallway where Father's bedroom is, and I heard him and a woman's voice yelling about something."

    victor "I figured at the time Violet was finally confronting Father about his lack of love for her. Now, I realize it must have been an argument before she ultimately stabbed him."

    player_name "You-you heard a woman yelling in his room!?"

    victor "Now isn't it clear? Violet is the killer!"

    "After our conversation, we gather everyone back in the living room for a final discussion."

    jump chapter6

label choice5_b:

    player_name "I'll see you again, Victor."

    "Victor cries."

    victor "Just...just leave. Forget it. I don't want to see you again."

    "He closes the door on me. I wish I knew what I could've said to change things. I wish it didn't end up like this, with the two of us becoming so distant. But maybe that's just a part of growing up."

    "With that, I leave."

    # scene change to living room
    stop music
    scene bg living room with Fade(0.5, 1.0, 0.5)
    play music "audio/waltz.ogg" fadein 1.0 volume 0.7

    show victor angry

    "Suddenly, I'm back in the present. Victor is in front of me, his face angrier than usual."

    victor "So after all this, you're abandoning me?"

    player_name "Abandoning you? I just-"

    "Victor interrupts me."

    victor "All you've ever done is abandon me! Do you really think I want to cooperate with you now? Why don't you figure it out on your own if you think you're so much better than all of us?"

    "I keep trying to question him, but after that, Victor refuses to answer anything."

    "After some time, I give up and gather everyone back in the living room once again for a final discussion."

    jump chapter6

label chapter6:

    # change scene to living room
    scene bg living room with fade

    "With everyone gathered back in the living room, I spoke."

    player_name "I'm sorry this has happened. The death of Father has clearly deeply affected us all. All but one of us. And after talking to all of you, I'm certain I know who did it."

    show vincent base

    vincent "You know it couldn't have been me, right, %(player_name)s? I would never do such a horrible thing."

    hide vincent base
    show violet angry

    violet "I can't believe this is happening..."

    hide violet angry
    show victor base

    victor "Just say who it was already."

    hide victor base

    "Think, %(player_name)s! Think of all the clues you've gathered so far. All of them must point to only one possible conclusion!"

label final_decision:

    scene bg living room

    show vincent angry at left
    show violet angry
    show victor angry at right

    player_name "The person who murdered Father was..."

    $ accused = renpy.input("Who killed Father?")

    if accused.upper() == "MOM" or accused.upper() == "MOMMY" or accused.upper() == "MOTHER":
        jump mom_ending
    elif accused.upper() == "VINCENT":
        jump vincent_ending

    elif accused.upper() == "VIOLET":
        jump violet_ending

    elif accused.upper() == "VICTOR":
        jump victor_ending

    else:
        jump bad_input

label bad_input:

    stop music

    hide vincent angry
    hide violet angry
    hide victor angry

    show vincent angry

    vincent "..."

    hide vincent angry
    show violet angry

    violet "..."

    hide violet angry
    show victor angry

    victor "..."

    victor "Who?"

    hide victor angry

    "I must have made a mistake. There's only a few people it could possibly be. Let me try again."

    play music "audio/waltz.ogg" fadein 1.0 volume 0.7
    jump final_decision

label vincent_ending:

    play music "audio/moonlight.ogg" fadein 1.0

    player_name "Vincent, it was you. You killed Father."

    hide violet angry
    hide victor angry
    hide vincent angry

    show vincent angry

    vincent "Wh-what?"

    hide vincent angry
    show violet angry at left
    show victor angry at right

    violet "Vincent, you...?"

    victor "Vincent?! What have you done?"

    hide violet angry
    hide victor angry

    player_name "All the evidence points to it. You're the one who killed him."

    show vincent angry

    vincent "What evidence?"

    player_name "I don't want to hear anything else from you. You killed Father, and the police are on their way to arrest you."

    # fade to black

    stop music
    scene bg black with fade

    "After that, Vincent was arrested and put in jail for life. I never heard from him again."

    "But something felt off. Was it really Vincent that killed Father? For some reaon I felt like someone else might have done it..."

    "BAD END"

    jump try_again

label violet_ending:

    play music "audio/moonlight.ogg" fadein 1.0

    player_name "Violet, it was you. You killed Father."

    hide violet angry
    hide victor angry
    hide vincent angry

    show violet angry

    violet "I did no such thing!"

    hide violet angry
    show vincent angry at left
    show victor angry at right

    vincent "You would do that, sister?"

    victor "I knew it. Vincent, don't call her your sister. That woman is no more than a monster."

    hide vincent angry
    hide victor angry

    show violet angry

    violet "I would never kill Father! Please, %(player_name)s, you have to believe me!"

    "But my mind was set. It must have been Violet."

    # fade to black

    stop music
    scene bg black with fade

    "The police came and arrested Violet, who was put in jail for life. I never heard from her again."

    "But something felt off. Was it really Violet that killed Father? For some reaon I felt like someone else might have done it..."

    "BAD END"

    jump try_again

label victor_ending:

    play music "audio/moonlight.ogg" fadein 1.0

    player_name "Victor, it was you. You killed Father."

    hide violet angry
    hide victor angry
    hide vincent angry

    show victor angry

    vincent "Wha-me? How could you possibly say such a thing?"

    hide victor angry
    show vincent angry at left
    show violet angry at right

    vincent "Brother, did you...kill him?"

    violet "Who else could it have been?"

    hide violet angry
    hide vincent angry

    show victor angry

    victor "%(player_name)s, you idiot!"

    "Victor lunges for me, grabs my collar, and shakes me violently."

    victor "How could you not see? It was Violet, it's so clear!"

    player_name "It's too late, Victor. The police are on their way, there's nothing you can do to convince me it wasn't you."

    # fade to black

    stop music
    scene bg black with fade

    "The police came and arrested Victor, who was put in jail for life. I never heard from him again."

    "But something felt off. Was it really Victor that killed Father? For some reason I felt like someone else might have done it..."

    "BAD END"

    jump try_again

label mom_ending:

    play music "audio/moonlight.ogg" fadein 1.0

    player_name "None of you killed Father!"

    vincent "...None of us?"

    violet "How can that be possible? He was clearly murdered!"

    victor "Then how did he die, you dimwit?"

    player_name "Please, wait a second. Let me finish. I never said he wasn't murdered. I said none of you killed him."

    victor "...What? Then who did?"

    player_name "The person who murdered Father..."

    player_name "...was Mother."

    "It all makes sense now. Everything fits."

    "Those flashbacks...I don't know what caused them,
    but I know what they were for.
    It wasn't just so I could relive a key moment with each of my siblings, but it was also for another reason.
    Each one told me something about Mother and Father's relationship."

    "In the one with Vincent, I overheard them talking about how Father has been coming home late constantly."

    "In the flashback with Violet, I saw Father on the phone with someone speaking very casually and he hid his phone when he noticed me."

    "And in the final flashback, I never got to say goodbye to Father because he was never at home because of work."

    "Father was having an affair."

    "Now that the motive is established, I need to piece together how she did it."

    "That's right...the receptionist at the nursing home said she got back at around 11:30pm. But didn't Vincent say she would have gotten back at 9:30pm? What is the meaning behind the two hour difference?"

    if learnedViolet == True:
        "And it seemed like Mother and Father had some sort of argument before dinner, maybe Mother found out about the affair Father was having?"
    if learnedVictor == True:
        "Victor also heard Father arguing with a woman. He claims to think it was Violet, but it being Mother could explain the time difference."
    if learnedVincent == True and learnedVictor == True:
        "Vincent also mentioned that Violet was in her room until 11pm, and Victor heard the argument at 10:30pm. So it couldn't have been Violet."


    "No matter how I look at it, it must have been Mother!"

    victor "Mother? Impossible! What reason would she have to kill her own husband?"

    vincent "But she went home right after dinner, and Vincent took Father right to bed!"

    vincent "That's right! Motive aside, she never would have had a chance!"

    "I explain what I've figured out to the three of them."

    victor "No...is it possible?"

    player_name "Whatever it means, we have to confront her right away."

    # change scene to garden

    scene bg garden with fade

    "The four of us go to Mother's nursing home to ask her about Father's death."

    "We find Mother in the garden when we arrive. Upon seeing us, she beams."

    show mommy base at left

    mommy "Oh, my children! How wonderful it is to see you all here!"

    player_name "Mother, we're here to talk to you about Father."

    mommy "Your father? Why didn't he come himself to talk to me?"

    show victor base at right

    victor "Maybe we should stop...this feels wrong."

    player_name "Father is dead, Mother. And we know who killed him."

    "Her face drops."

    mommy "He's...what?"

    player_name "Mother, you have to be honest with me now. Why did you get back late two nights ago?"

    mommy "Late? What do you mean?"

    show victor angry at right

    "Victor grits his teeth impatiently and then shouts."

    victor "Mother, stop wasting our time. You...you killed Father!"

    player_name "Victor, wait!"

    victor "How could you, Mother? How could you pretend to not remember what happened? How could you do something so cruel to destroy your own family?"

    "I can see Mother scowl for a moment, but she quickly regains her composure."

    mommy "Victor, there must be some mistake, sweetie, I-"

    player_name "No, Mother. There hasn't been a mistake. You can own up to it now, or we could have the police perform a full investigation and you'll be found out anyway. So what will it be?"

    mommy "I've done no such thing, honey, please let me-"

    player_name "Before dinner two nights ago, you found out about Father's affair. In anger, you quietly plotted his murder during dinner. After dinner, you pretended to leave, but stuck around outside."

    player_name "Between 10 and 10:30pm, you snuck inside, went to Father's room, and confronted him about the affiar. In a fit of rage, you stabbed him with a knife you took from the kitchen."

    player_name "After that, you left and took the knife with you. That's what happened two nights ago."

    "Mother's calm face transitioned into a twisted, evil, grin as I spoke."

    mommy "You were always too smart for your own good, %(player_name)s."

    hide mommy base
    hide victor angry

    show vincent angry at left
    show violet angry at right

    vincent "...Mother?"

    violet "Mother, what are you saying?!"

    hide vincent angry
    hide violet angry

    show mommy base

    mommy "I'm saying congratulations. You figured it all out. My, aren't you brilliant? What a bright child I raised."

    "I stand my ground and don't respond. I can't believe what's happening."

    mommy "You're right. My memory is perfectly fine. I found out about your father's affair years ago. I thought maybe I could distance myself from him and forget about it, but every time I saw him my rage grew more and more."

    mommy "I had to kill him for what he had done."

    "Mother doesn't look like herself at all anymore. She looks twisted, evil."

    mommy "And now my own children have gone so far as to betray me? Why is it that everyone I care for must betray me in the end?"

    player_name "Please, Mother, calm down."

    show mommy angry

    "Mother pulls out a knife."

    mommy "I'm sure you understand by now what I do to people that betray me."

    "Mother? ...What is she doing?"

    "Without a moment to react, Mother lunges at me with the knife."

    scene bg black with fade

    jump ending_conditional

label try_again:

    "Try again?"

menu:
    "Try Again":
        play music "audio/waltz.ogg" fadein 1.0 volume 0.7
        jump final_decision
    "Exit to Main Menu":
        return

label ending_conditional:
    if niceCount > 1:
        jump good_ending
    if niceCount <= 1:
        jump bad_ending

label good_ending:

    "I close my eyes, anticipating the horrible pain of a knife through my chest."

    "This is what I get for finding the truth?"

    "Killed by my own mother?"

    "My life flashes before my eyes. Was I...a good sibling?"

    "I wait."

    "Why am I still alive?"

    "I open my eyes."

    scene bg garden with Fade(0.5, 1.0, 0.5)

    show victor angry at left
    show mommy angry at right

    victor "Violet, Vincent! Help me out here!"

    "Mother is holding the knife inches away from my chest. Vincent has grabbed her and is keeping her from moving any further."

    hide victor angry
    hide mommy angry

    "Violet and Vincent run to restrain Mother."

    show mommy angry

    mommy "YOU BACKSTABBING FOOLS! YOU ALL DESERVE TO DIE! BETRAYING YOUR OWN MOTHER... HOW COULD YOU?"

    hide mommy angry

    "The three of them pin her on the ground. She resists, waving the knife around. Finally, Violet pins her hand to the ground and takes the knife."

    show violet angry

    violet "No more, Mother! You're the one who betrayed us, killing our father and trying to kill %(player_name)s!"

    hide violet angry

    "Mother continues to scream, but eventually breaks down into a sob."

    show mommy angry

    mommy "All I've ever known is betrayal...no one could ever understand my pain..."

    stop music
    scene bg black with fade

    "Eventually, the police arrive and arrest Mother. She's taken away in handcuffs. It's the last time I ever see her. Good."

    "Shaken up, the four of us return to our home."

    play music "audio/douloureux.ogg" fadein 1.0
    scene bg living room with dissolve

    player_name "Why...did you save me? Victor, I thought...I thought you hated me. I thought you all hated me."

    show victor base

    victor "It's true, I resented you for leaving us all those years ago. But...I remembered what it was like when you lived here, with us. I will never forget the years I spent with you."

    hide victor base
    show violet base

    violet "You're still a part of our family, %(player_name)s. And you always will be."

    hide violet base
    show vincent base

    vincent "Yeah, %(player_name)s, we all missed having you around, you know. We couldn't bear to lose you."

    scene bg black with fade

    "I can't help but cry. I realize I missed them all too the last few years."

    "I stay with them for a few days, but I know eventually I have to go back to my apartment and get back to my own life."

    "The few days I have with them are wonderful. We're saddened by the death of our father and the truth behind our mother, but having each other makes it better."

    "On my final day there, I say my goodbyes."

    scene bg living room with dissolve

    show vincent base at left
    show violet base
    show victor base at right

    player_name "Thank you all. I know I shouldn't have abandoned you all. I regret the years I spent not talking to any of you. I promise to make up for it."

    vincent "Visit us sometime!"

    player_name "Of course, Vincent, I'll definitely be back."

    violet "It was nice to have you around again."

    victor "I apologize for my rudeness when you first arrived. You're welcome back here anytime."

    player_name "Goodbye, everyone."

    scene bg black with fade

    "I take my leave, but it won't be for long."

    "I've been coming home to visit them every few months. Each time is wonderful. I'll miss Father and the woman I thought was my mother, but I have to move on with my life. For now, there are still people I care about. People I would do anything for."

    "For the first time in years, I finally have a family again."

    "GOOD END"

    return

label bad_ending:

    stop music

    "I close my eyes as the knife is plunged into my chest."

    "This is what I get for finding the truth?"

    "Killed by my own mother?"

    "My life flashes before my eyes. Was I...a good sibling?"

    "No, I realize. I was never there for them. I could have been so much more."

    "A tear rolls down my cheek as I feel my life draining away."

    "BAD END"

    return
